Skip to main content
GET
cURL

Query Parameters

run_id
string
required

ID of the run from which to fetch metric values. Must be provided.

metric_key
string
required

Name of the metric.

page_token
string

Token indicating the page of metric history to fetch

max_results
integer<int32>

Maximum number of logged instances of a metric for a run to return per call. Backend servers may restrict the value of max_results depending on performance requirements. Requests that do not specify this value will behave as non-paginated queries where all metric history values for a given metric within a run are returned in a single response.

Response

Metric history

metrics
object[]

All logged values for this metric.

next_page_token
string

Token that can be used to issue a query for the next page of metric history values. A missing token indicates that no additional metrics are available to fetch.